## rotix 0.83

=== Makefile ===
##########################
#   Makefile for Rotix   #
##########################
#
#	Rotix - A program to generate rotational obfuscations
#	Copyright (C) 2001  Sjoerd Hemminga <sjoerd@huiswerkservice.nl>
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#	USA 

include Makefile.settings

ifdef DEBUG
CFLAGS += -g3
else
CFLAGS += -O3
endif

ifdef I18N
CFLAGS += -DPACKAGE=\"${PACKAGE}\" -D LOCALEDIR=\"${LOCALE}\"
endif

ifdef NO_GETOPT_LONG
CFLAGS += -D NO_GETOPT_LONG=1
endif

all : rotix po

rotix : rot.o help.o rotix.o
	$(CC) -Wall $(CFLAGS) -o rotix rot.o help.o rotix.o
ifdef STRIP
ifndef DEBUG
	$(STRIP) rotix
endif
endif

ifdef I18N
CFLAGS += -D I18N=1
endif

rot.o : rot.c
	$(CC) -Wall $(CFLAGS) -c rot.c

help.o : help.c
	$(CC) -Wall $(CFLAGS) -c help.c

rotix.o : rotix.c
	$(CC) -Wall $(CFLAGS) -c rotix.c

po : po/NL.mo

po/NL.mo : po/NL.po
	msgfmt -o po/NL.mo po/NL.po

.PHONY : clean rmbin distclean cleanall

cleanall : distclean

distclean : clean rmbin
	rm Makefile.settings

clean :
	rm -f *.o

rmbin :
	rm -f rotix
	rm -f po/*.mo

install: rotix po
	mkdir -p $(DESTDIR)$(BINDIR)
	cp rotix $(DESTDIR)$(BINDIR)
	chmod 0755 $(DESTDIR)$(BINDIR)/rotix
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	cp rotix.1 $(DESTDIR)$(MANDIR)/man1
	chmod 0644 $(DESTDIR)$(MANDIR)/man1/rotix.1
ifdef I18N
	mkdir -p $(DESTDIR)$(LOCALE)/nl/LC_MESSAGES
	cp po/NL.mo $(DESTDIR)$(LOCALE)/nl/LC_MESSAGES/rotix.mo
	chmod 0644 $(DESTDIR)$(LOCALE)/nl/LC_MESSAGES/rotix.mo
endif
	
uninstall:
	rm -f $(DESTDIR)$(BINDIR)/rotix
	rm -f $(DESTDIR)$(MANDIR)/man1/rotix.1
ifdef I18N
	rm -f $(DESTDIR)$(LOCALE)/nl/LC_MESSAGES/rotix.mo
endif

=== debian/changelog ===
rotix (0.83-7) unstable; urgency=medium

  * Rediff patches.
  * Fix NL translation.
  * Flags patch does not need forwarding.
  * Use debhelper 13.
  * Package build no longer requires root.
  * Remove -guest from VCS fields.
  * Add upstream/metadata.
  * Add Homepage to debian/control.
  * Bump Standards-Version; no changes required.
  * Add debian/watch file.
  * Use HTTPS on license link in debian/copyright.
  * Update 'Source' link in debian/copyright.

 -- Raúl Benencia <rul@kalgan.cc>  Mon, 18 Oct 2021 21:02:08 -0700

rotix (0.83-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use makefile build system for calling make. (Closes: #930341)

  [ Raúl Benencia ]
  * Adapt source code to DEP-14.
  * Bump Standards-Version to 4.3.0. Priority changed from extra to optional.
  * Update VCS URLs.
  * Fix insecure-copyright-format-uri.
  * Use debhelper 12.

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 11 Jun 2019 10:28:25 -0700

rotix (0.83-5) unstable; urgency=low

  * New maintainer (Closes: #738336)
  * Fix description-synopsis-starts-with-article
  * Update copyright to a machine readable format (DEP 5)
  * Bump standards version
  * Use linker and pre-processor flags
  * Change priority from optional to extra

 -- Raúl Benencia <rul@kalgan.cc>  Thu, 27 Feb 2014 14:42:21 -0300

rotix (0.83-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not call dh_auto_clean unless Makefile.settings exists, this fixes
    FTBFS: Makefile.settings: No such file or directory
    (Closes: #724127) (LP: #1263552)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Tue, 24 Dec 2013 20:21:28 +0100

rotix (0.83-4) unstable; urgency=low

  * Bump compat to 9.
  * Bump standards-version.
  * Bump versioned build-dep on debhelper.
  * Remove build-dep on quilt.
  * Update debian/copyright.

 -- Chris Taylor <ctaylor@debian.org>  Sat, 12 May 2012 05:02:32 +0000

rotix (0.83-3) unstable; urgency=low

  * New maintainer. (Closes: #568870)
  * Switch to dh7.
  * Bump standards-version.
  * Use source format 3.0 (quilt).
  * Don't strip binaries before dh_strip is called (Closes: #437920).
       - Remove strip from debian/rules.
       - Remove strip from Makefile in 00-Makefile.
  * Update FSF address.
       - Update debian/copyright.
       - Update source files in 01-FSF

 -- Chris Taylor <ctaylor@debian.org>  Wed, 10 Feb 2010 00:01:54 +0000

rotix (0.83-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359569).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 21:56:38 +0200

rotix (0.83-2) unstable; urgency=low

  * Added Build-Depends: line to debian/control..

 -- Wilmer van der Gaast <lintux@debian.org>  Thu, 16 May 2002 14:44:35 +0200

rotix (0.83-1) unstable; urgency=low

  * New upstream release.

 -- Wilmer van der Gaast <lintux@debian.org>  Fri,  5 Apr 2002 16:41:11 +0200

rotix (0.82-1) unstable; urgency=low

  * New upstream release.

 -- Wilmer van der Gaast <lintux@debian.org>  Sat,  9 Feb 2002 01:40:30 +0100

rotix (0.81-2) unstable; urgency=low

  * Fixed postinst/prerm permissions. (Closes: #131684)

 -- Wilmer van der Gaast <lintux@debian.org>  Fri,  1 Feb 2002 16:22:05 +0100

rotix (0.81-1) unstable; urgency=low

  * Adapted to new configure script.
  * Package now really non-native.
  * New upstream release.

 -- Wilmer van der Gaast <lintux@debian.org>  Tue, 29 Jan 2002 18:40:30 +0100

rotix (0.80) unstable; urgency=low

  * New upstream release.

 -- Wilmer van der Gaast <lintux@lintux.cx>  Sat, 10 Nov 2001 17:55:12 +0100

rotix (0.71) unstable; urgency=low

  * New upstream release.
  * Descriptions changed a bit.
  * Changed original source locations.
  * Added the CHANGES file to the package.

 -- Wilmer van der Gaast <lintux@lintux.cx>  Mon,  8 Oct 2001 21:41:45 +0200

rotix (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Wilmer van der Gaast <lintux@lintux.cx>  Tue, 18 Sep 2001 20:08:59 +0200

=== debian/control ===
Source: rotix
Section: text
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Build-Depends: debhelper-compat (= 13),
               gettext,
Standards-Version: 4.6.0
Homepage: https://github.com/shemminga/rotix
Vcs-Browser: https://salsa.debian.org/rul/rotix
Vcs-Git: https://salsa.debian.org/rul/rotix.git
Rules-Requires-Root: no

Package: rotix
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: generate rotational obfuscations
 Rotix allows you to generate rotational obfuscations, like the world-famous
 ROT-13. Note that this is not an encryption pack.
 .
 Install Rotix if you want to generate ROT-13 variants.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=/usr/share/man --i18n=1

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile

override_dh_auto_clean:
	[ ! -f Makefile.settings ] || dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@rotix@-$1.tar.gz%" \
 https://github.com/shemminga/rotix/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
